## TpClientMessage

TpClientMessage — a message in the Telepathy message interface, client side

## Functions

TpMessage * | tp_client_message_new ()
TpMessage * | tp_client_message_new_text ()

## Types and Values

| TpClientMessage

## Object Hierarchy

        GObject
        ╰── TpMessage
            ╰── TpClientMessage

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

TpClientMessage is used within Telepathy clients to represent a message composed by a client, which it will send using the Messages interface. Its subclass TpSignalledMessage represents messages as signalled by a connection manager.

## Functions

### tp_client_message_new ()

    TpMessage *
    tp_client_message_new (void);

A convenient function to create a new TpClientMessage

#### Returns

a newly allocated TpClientMessage having only the header part.

[transfer full]

Since: 0.13.9

### tp_client_message_new_text ()

    TpMessage *
    tp_client_message_new_text (TpChannelTextMessageType type,
                                const gchar *text);

A convenient function to create a new TpClientMessage having 'text/plain' as 'content-type', `type` as 'message-type' and `text` as 'content'.

#### Parameters

type | the type of message |
text | content of the messsage |

#### Returns

a newly allocated TpClientMessage.

[transfer full]

Since: 0.13.9

## Types and Values

### TpClientMessage

    typedef struct _TpClientMessage TpClientMessage;

Opaque structure representing a message in the Telepathy messages interface (client side).

Since: 0.13.9